org.jgroups.util

## Class ShutdownRejectedExecutionHandler

- java.lang.Object
- - org.jgroups.util.ShutdownRejectedExecutionHandler

- All Implemented Interfaces:
    java.util.concurrent.RejectedExecutionHandler

      public class ShutdownRejectedExecutionHandler
      extends java.lang.Object
      implements java.util.concurrent.RejectedExecutionHandler

  ShutdownRejectedExecutionHandler is a decorator RejectedExecutionHandler used in all JGroups ThreadPoolExecutor(s). Default RejectedExecutionHandler raises RuntimeException when a task is submitted to ThreadPoolExecutor that has been shutdown. ShutdownRejectedExecutionHandler instead logs only a warning message.
  Author:
    Vladimir Blagojevic
  See Also:
    `ThreadPoolExecutor`, `14:49:05 belaban Exp $`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownRejectedExecutionHandler(java.util.concurrent.RejectedExecutionHandler handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rejectedExecution(java.lang.Runnable r, java.util.concurrent.ThreadPoolExecutor executor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShutdownRejectedExecutionHandler

          public ShutdownRejectedExecutionHandler(java.util.concurrent.RejectedExecutionHandler handler)

  - ### Method Detail

    - #### rejectedExecution

          public void rejectedExecution(java.lang.Runnable r,
                               java.util.concurrent.ThreadPoolExecutor executor)

      Specified by:
        `rejectedExecution` in interface `java.util.concurrent.RejectedExecutionHandler`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.